// TextureGenerator.h: interface for the CTextureGenerator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTUREGENERATOR_H__768331F8_42EC_4F71_B840_3CF3A2AC66B4__INCLUDED_)
#define AFX_TEXTUREGENERATOR_H__768331F8_42EC_4F71_B840_3CF3A2AC66B4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

void	FAR PASCAL BMP_To_JPG(char *Source, char *Target);// AtumJPG.LIB

class CTextureGenerator  
{
public:
	CTextureGenerator();
	virtual ~CTextureGenerator();

	BOOL GenerateDevideAndMirrorTexture(LPDIRECT3DDEVICE8 pDevice, LPDIRECT3DTEXTURE8 pTexture, int nXCount, int nYCount, char* strPath);	// nXCount * nYCount: ÆÐÄ¡ °³¼ö

protected:
	BOOL CopyToTexture(LPDIRECT3DTEXTURE8 pDestTexture, const RECT rt, LPDIRECT3DTEXTURE8 pSrcTexture); 
	BOOL Mirror(LPDIRECT3DTEXTURE8 pTexture, BYTE mx,BYTE my);
	BOOL SaveTextureToJPGFile(LPDIRECT3DTEXTURE8 pTexture, char* strPath); 


};

#endif // !defined(AFX_TEXTUREGENERATOR_H__768331F8_42EC_4F71_B840_3CF3A2AC66B4__INCLUDED_)
